<?

$tableSchema[bannerManager] = "
	CREATE TABLE bannerManager (
	  id int(6) NOT NULL default '0',
	  cID varchar(50) NOT NULL default '',
	  locationType varchar(20) NOT NULL default '',
	  frequency tinyint(1) NOT NULL default '0',
	  bannerType enum('IN','OUT') NOT NULL default 'IN',
	  goUrl varchar(200) NOT NULL default '',
	  useCount int(10) NOT NULL default '0',
	  imageType varchar(5) NOT NULL default '',
	  bannerPlace varchar(200) NOT NULL default '',
	  subject varchar(200) NOT NULL default '',
	  rDate int(10) NOT NULL default '0',
	  PRIMARY KEY  (id),
	  KEY cID (cID),
	  KEY locationType (locationType),
	  KEY frequency (frequency),
	  KEY bannerType (bannerType),
	  KEY rDate (rDate)
	)
";

$tableSchema[bbs_dn] = "
	CREATE TABLE bbs_dn (
	  id int(10) NOT NULL default '0',
	  idx int(10) NOT NULL default '0',
	  bbs_id int(4) NOT NULL default '0',
	  thread bigint(11) NOT NULL default '0',
	  reply varchar(30) NOT NULL default 'A',
	  name varchar(20) NOT NULL default '',
	  passwd varchar(12) NOT NULL default '',
	  nickName varchar(30) NOT NULL default '',
	  email varchar(40) NOT NULL default '',
	  homepage varchar(40) NOT NULL default '',
	  subject varchar(80) NOT NULL default '',
	  html enum('T','H') NOT NULL default 'T',
	  view int(5) NOT NULL default '0',
	  down int(5) NOT NULL default '0',
	  vote int(5) NOT NULL default '0',
	  opinion int(5) NOT NULL default '0',
	  rdate int(10) NOT NULL default '0',
	  ip varchar(15) NOT NULL default '',
	  ufile varchar(60) NOT NULL default '',
	  uimg varchar(60) NOT NULL default '',
	  reply_mail char(1) NOT NULL default 'N',
	  content text NOT NULL,
	  PRIMARY KEY  (id),
	  KEY idx (idx),
	  KEY bbs_id (bbs_id),
	  KEY thread (thread),
	  KEY reply (reply),
	  KEY name (name),
	  KEY passwd (passwd),
	  KEY nickName (nickName),
	  KEY view (view),
	  KEY down (down),
	  KEY vote (vote),
	  KEY rdate (rdate)
	)
";

$tableSchema[bannerManagerDetail] = "
	CREATE TABLE bannerManagerDetail (
	  id int(10) NOT NULL auto_increment,
	  cID varchar(20) NOT NULL default '',
	  bannerID int(10) NOT NULL default '0',
	  dateYY int(4) NOT NULL default '0',
	  dateMM tinyint(2) NOT NULL default '0',
	  dateDD tinyint(2) NOT NULL default '0',
	  viewCount int(10) NOT NULL default '0',
	  clickCount int(10) NOT NULL default '0',
	  joinCount int(10) NOT NULL default '0',
	  payCount int(10) NOT NULL default '0',
	  PRIMARY KEY  (id),
	  KEY cID (cID),
	  KEY bannerID (bannerID),
	  KEY dateYY (dateYY),
	  KEY dateMM (dateMM),
	  KEY dateDD (dateDD)
	)
";

$tableSchema[bbsAttachment] = "
	CREATE TABLE bbsAttachment (
	  id int(10) NOT NULL auto_increment,
	  userID varchar(30) NOT NULL default '',
	  reason varchar(255) NOT NULL default '',
	  rDate int(10) NOT NULL default '0',
	  PRIMARY KEY  (id),
	  KEY userID (userID),
	  KEY rDate (rDate)
	)
";

$tableSchema[bbsConfig] = "
	CREATE TABLE bbsConfig (
	  id int(4) NOT NULL auto_increment,
	  bbsTable varchar(30) NOT NULL default '',
	  publicCode varchar(30) NOT NULL default '',
	  title varchar(60) NOT NULL default '',
	  adminEmail varchar(60) NOT NULL default '',
	  rDate int(11) NOT NULL default '0',
	  template varchar(20) NOT NULL default '',
	  bbsType enum('S','M','X') NOT NULL default 'S',
	  newDate tinyint(2) NOT NULL default '0',
	  limitListCount tinyint(2) NOT NULL default '0',
	  limitPageCount tinyint(2) NOT NULL default '0',
	  file tinyint(2) NOT NULL default '0',
	  imageWidth int(4) NOT NULL default '0',
	  imageHeight int(4) NOT NULL default '0',
	  imageSizeType enum('S','E') NOT NULL default 'S',
	  htmlType enum('Y','N') NOT NULL default 'N',
	  category varchar(100) NOT NULL default '',
	  adminReplyMail enum('Y','N') NOT NULL default 'N',
	  userReplyMail enum('Y','N') NOT NULL default 'N',
	  listLevel tinyint(1) NOT NULL default '0',
	  viewLevel tinyint(1) NOT NULL default '0',
	  writeLevel tinyint(1) NOT NULL default '0',
	  downloadLevel tinyint(1) NOT NULL default '0',
	  opinionLevel tinyint(1) NOT NULL default '0',
	  opinionUse enum('Y','N') NOT NULL default 'N',
	  subjectSlice int(4) NOT NULL default '0',
	  contentSlice int(4) NOT NULL default '0',
	  layerWidth int(4) NOT NULL default '0',
	  layerOutColor varchar(10) NOT NULL default '',
	  layerInColor varchar(10) NOT NULL default '',
	  layerTextColor varchar(10) NOT NULL default '',
	  colspan varchar(20) NOT NULL default '',
	  bgcolor1 varchar(10) NOT NULL default '',
	  bgcolor2 varchar(10) NOT NULL default '',
	  bgcolorOver varchar(10) NOT NULL default '',
	  filterring text NOT NULL,
	  PRIMARY KEY  (id),
	  KEY bbsTable (bbsTable)
	)
";

$tableSchema[bbsOpinion] = "
	CREATE TABLE bbsOpinion (
	  id int(12) NOT NULL auto_increment,
	  bbsTable varchar(20) NOT NULL default '',
	  opinionID int(10) NOT NULL default '0',
	  name varchar(30) NOT NULL default '',
	  password varchar(20) NOT NULL default '',
	  nickName varchar(30) NOT NULL default '',
	  emoticon varchar(20) NOT NULL default '',
	  rdate int(10) NOT NULL default '0',
	  content varchar(255) NOT NULL default '',
	  PRIMARY KEY  (id),
	  KEY bbsTable (bbsTable),
	  KEY opinionID (opinionID),
	  KEY password (password)
	)
";

$tableSchema[bbsPoint] = "
	CREATE TABLE bbsPoint (
	  id int(10) NOT NULL auto_increment,
	  bbsTable varchar(30) NOT NULL default '',
	  pointID int(10) NOT NULL default '0',
	  userID varchar(30) NOT NULL default '',
	  point float NOT NULL default '0',
	  rDate int(10) NOT NULL default '0',
	  PRIMARY KEY  (id),
	  KEY bbsTable (bbsTable),
	  KEY pointID (pointID)
	)
";

$tableSchema[counter] = "
	CREATE TABLE counter (
	  id int(10) NOT NULL auto_increment,
	  groupID tinyint(2) NOT NULL default '0',
	  serverID int(3) NOT NULL default '0',
	  dateYY int(4) NOT NULL default '0',
	  dateMM tinyint(2) NOT NULL default '0',
	  dateDD tinyint(2) NOT NULL default '0',
	  dateHH tinyint(2) NOT NULL default '0',
	  dateWW tinyint(1) NOT NULL default '0',
	  viewCount int(10) NOT NULL default '0',
	  PRIMARY KEY  (id),
	  KEY groupID (groupID),
	  KEY serverID (serverID),
	  KEY dateYY (dateYY),
	  KEY dateMM (dateMM),
	  KEY dateDD (dateDD)
	)
";

$tableSchema[counterReferer] = "
	CREATE TABLE counterReferer (
	  id int(10) NOT NULL auto_increment,
	  groupID tinyint(2) NOT NULL default '0',
	  dateYY int(4) NOT NULL default '0',
	  dateMM tinyint(2) NOT NULL default '0',
	  dateDD tinyint(2) NOT NULL default '0',
	  refererCount int(6) NOT NULL default '0',
	  referer varchar(150) NOT NULL default '',
	  PRIMARY KEY  (id),
	  KEY groupID (groupID),
	  KEY dateYY (dateYY),
	  KEY dateMM (dateMM),
	  KEY dateDD (dateDD)
	)
";

$tableSchema[gallery] = "
	CREATE TABLE gallery (
	  id int(10) NOT NULL default '0',
	  userID varchar(20) NOT NULL default '',
	  userName varchar(30) NOT NULL default '',
	  userNickName varchar(30) NOT NULL default '',
	  code varchar(20) NOT NULL default '',
	  subject varchar(150) NOT NULL default '',
	  thumbWidth int(4) NOT NULL default '0',
	  thumbHeight int(4) NOT NULL default '0',
	  imageType varchar(4) NOT NULL default '',
	  view int(6) NOT NULL default '0',
	  photoDate int(10) NOT NULL default '0',
	  rDate int(10) NOT NULL default '0',
	  content text NOT NULL,
	  PRIMARY KEY  (id),
	  KEY userID (userID),
	  KEY code (code),
	  KEY view (view),
	  KEY photoDate (photoDate),
	  KEY rDate (rDate)
	)
";

$tableSchema[galleryInfo] = "
	CREATE TABLE galleryInfo (
	  id int(4) NOT NULL auto_increment,
	  code varchar(20) NOT NULL default '',
	  title varchar(60) NOT NULL default '',
	  limitListRowCount tinyint(2) NOT NULL default '3',
	  limitListColCount tinyint(2) NOT NULL default '3',
	  limitListCount tinyint(2) NOT NULL default '9',
	  limitPageCount tinyint(2) NOT NULL default '5',
	  subjectSliceCount int(4) NOT NULL default '20',
	  thumbnailWidth int(6) NOT NULL default '160',
	  thumbnailHeight int(6) NOT NULL default '120',
	  viewWidth int(6) NOT NULL default '800',
	  viewHeight int(6) NOT NULL default '0',
	  listLevel tinyint(2) NOT NULL default '0',
	  viewLevel tinyint(2) NOT NULL default '0',
	  writeLevel tinyint(2) NOT NULL default '0',
	  opinionLevel tinyint(2) NOT NULL default '0',
	  rDate int(11) NOT NULL default '0',
	  PRIMARY KEY  (id),
	  KEY code (code)
	)
";

$tableSchema[galleryOpinion] = "
	CREATE TABLE galleryOpinion (
	  id int(10) NOT NULL auto_increment,
	  galleryCode varchar(20) NOT NULL default '',
	  galleryID int(10) NOT NULL default '0',
	  userID varchar(20) NOT NULL default '',
	  userName varchar(30) NOT NULL default '',
	  userNickName varchar(30) NOT NULL default '',
	  rDate int(10) NOT NULL default '0',
	  content varchar(255) NOT NULL default '',
	  PRIMARY KEY  (id),
	  KEY galleryCode (galleryCode),
	  KEY galleryID (galleryID),
	  KEY userID (userID)
	)
";

$tableSchema[galleryRecommend] = "
	CREATE TABLE galleryRecommend (
	  id int(10) NOT NULL auto_increment,
	  userID varchar(20) NOT NULL default '',
	  galleryCode varchar(20) NOT NULL default '',
	  galleryID int(10) NOT NULL default '0',
	  rDate int(10) NOT NULL default '0',
	  PRIMARY KEY  (id),
	  KEY userID (userID),
	  KEY galleryCode (galleryCode),
	  KEY galleryID (galleryID)
	)
";

$tableSchema[mailling] = "
	CREATE TABLE mailling (
	  id int(6) NOT NULL default '0',
	  cateID tinyint(2) NOT NULL default '0',
	  maillingType enum('P','C') NOT NULL default 'P',
	  sendName varchar(60) NOT NULL default '',
	  sendEmail varchar(60) NOT NULL default '',
	  subject varchar(120) NOT NULL default '',
	  rDate int(10) NOT NULL default '0',
	  status enum('Y','N') NOT NULL default 'Y',
	  content text NOT NULL,
	  PRIMARY KEY  (id),
	  KEY cateID (cateID),
	  KEY rDate (rDate)
	)
";

$tableSchema[maillingCategory] = "
	CREATE TABLE maillingCategory (
	  id tinyint(2) NOT NULL default '0',
	  maillingType enum('P','C') NOT NULL default 'P',
	  category varchar(60) NOT NULL default '',
	  PRIMARY KEY  (id)
	)
";

$tableSchema[member] = "
	CREATE TABLE member (
	  userID varchar(20) NOT NULL default '',
	  author tinyint(1) NOT NULL default '0',
	  name varchar(30) NOT NULL default '',
	  nickName varchar(50) NOT NULL default '',
	  password varchar(16) NOT NULL default '',
	  jumin varchar(14) NOT NULL default '',
	  sex enum('M','F') NOT NULL default 'M',
	  email varchar(60) NOT NULL default '',
	  birth int(10) NOT NULL default '0',
	  birthOption enum('S','L') NOT NULL default 'S',
	  phone varchar(13) NOT NULL default '0',
	  phoneCell varchar(13) NOT NULL default '0',
	  job tinyint(2) NOT NULL default '0',
	  mailling enum('Y','N') NOT NULL default 'Y',
	  signDate int(10) NOT NULL default '0',
	  zipcode varchar(7) NOT NULL default '',
	  address varchar(60) NOT NULL default '',
	  addressDetail varchar(60) NOT NULL default '',
	  PRIMARY KEY  (userID),
	  KEY name (name),
	  KEY jumin (jumin),
	  KEY email (email),
	  KEY signDate (signDate)
	)
";

$tableSchema[memberLogin] = "
	CREATE TABLE memberLogin (
	  id int(10) NOT NULL auto_increment,
	  userID varchar(20) NOT NULL default '',
	  userType enum('P','C') NOT NULL default 'P',
	  loginDate int(10) NOT NULL default '0',
	  ip varchar(15) NOT NULL default '',
	  PRIMARY KEY  (id),
	  KEY userID (userID),
	  KEY loginDate (loginDate),
	  KEY userType (userType)
	)
";

$tableSchema[poll] = "
	CREATE TABLE poll (
	  id int(6) NOT NULL default '0',
	  pollUse enum('Y','N') NOT NULL default 'N',
	  pollType enum('M','C') NOT NULL default 'M',
	  pollEtcUse enum('Y','N') NOT NULL default 'N',
	  startDate int(10) NOT NULL default '0',
	  finalDate int(10) NOT NULL default '0',
	  rDate int(10) NOT NULL default '0',
	  title varchar(100) NOT NULL default '',
	  PRIMARY KEY  (id),
	  KEY pollUse (pollUse),
	  KEY rDate (rDate)
	)
";

$tableSchema[pollAnswer] = "
	CREATE TABLE pollAnswer (
	  id int(10) NOT NULL auto_increment,
	  pollID int(6) NOT NULL default '0',
	  itemID int(10) NOT NULL default '0',
	  userID varchar(20) NOT NULL default '',
	  answerDate int(10) NOT NULL default '0',
	  pollEtc varchar(100) NOT NULL default '',
	  PRIMARY KEY  (id),
	  KEY pollID (pollID),
	  KEY itemID (itemID)
	)
";

$tableSchema[pollItem] = "
	CREATE TABLE pollItem (
	  id int(10) NOT NULL auto_increment,
	  pollID int(6) NOT NULL default '0',
	  sort tinyint(2) NOT NULL default '0',
	  itemTitle varchar(100) NOT NULL default '',
	  PRIMARY KEY  (id),
	  KEY pollID (pollID)
	)
";

$tableSchema[popupManager] = "
	CREATE TABLE popupManager (
	  id int(6) NOT NULL auto_increment,
	  subject varchar(200) NOT NULL default '',
	  widthW int(4) NOT NULL default '0',
	  heightW int(4) NOT NULL default '0',
	  topW int(4) NOT NULL default '0',
	  leftW int(4) NOT NULL default '0',
	  startDate int(10) NOT NULL default '0',
	  endDate int(10) NOT NULL default '0',
	  content text NOT NULL,
	  PRIMARY KEY  (id),
	  KEY startDate (startDate),
	  KEY endDate (endDate)
	)
";

$tableSchema[zipcode] = "
	CREATE TABLE zipcode (
	  id int(5) NOT NULL default '0',
	  zipcode varchar(7) NOT NULL default '',
	  sido varchar(4) NOT NULL default '',
	  gugun varchar(13) NOT NULL default '',
	  dong varchar(25) NOT NULL default '',
	  ri varchar(36) NOT NULL default '',
	  bungi varchar(17) default '',
	  PRIMARY KEY  (id),
	  KEY gugun (gugun),
	  KEY dong (dong),
	  KEY ri (ri)
	)
";

?>